.cookies-alert {
    display: none;
    position: fixed;
    bottom: 2rem;
    left: 1.5rem;
    padding: 2rem;
    max-width: 360px;
    background: #fff;
    border-radius: 24px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.06);
    text-align: center;
    z-index: 10;
}

.cookies-alert img {
    width: 20%;
}

.text-justify {
    text-align: justify;
}

.customImg {
    height: 235px;
    width: 100%;
}

.blogCustomImg {
    height: 275px;
    width: 100%;
}

.noDataImg {
    height: 100px;
}

.noDataImg2 {
    height: 200px;
}

.paigination .active {
    background-color: var(--praimary-color);
}

.catHeight {
    width: 100px;
    height: 100px;
    margin: auto;
}

.category-column {
    width: 100%;
    position: relative;
    overflow: hidden;
    padding: 40px 17px 50px;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(var(--black-color-rgb), .05);
    margin-bottom: 30px;
}

.category-column::after {
    position: absolute;
    content: '';
    bottom: 0;
    right: -23px;
    width: 88px;
    height: 88px;
    background: var(--praimary-color);
    opacity: .2;
    border-radius: 8px;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}

.navProfileImage {
    width: 40px;
    height: 40px;
    min-width: 40px;
    border-radius: 50%;
}

.customHr {
    margin-top: 0;
    background-color: rgba(var(--black-color-rgb), 0.1);
}

.payment-container-list {
    margin-top: 20px;
    height: 502px;
    overflow: auto;
    padding: 5px;
}

.payment-container-list .item {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.payment-container-list .item:not(:last-child) {
    margin-bottom: 15px;
}

.payment-container-list .form-check-label {
    display: flex;
    align-items: center;
    width: 100%;
    height: 100%;
    padding: 15px;
    cursor: pointer;
    box-shadow: var(--shadow1);
    border-radius: 5px;
    transition: var(--transition);
    gap: 15px;
    border: 1px solid var(--border-color1);
    background-color: var(--bg-color1);
}

.payment-container-list .form-check-label .image-area img {
    width: 50px;
    height: 50px;
    min-width: 50px;
    min-height: 50px;
    border-radius: 50%;
}

.payment-container-list .form-check-label .content-area {
    max-width: 400px;
    padding-right: 30px;
}

.payment-container-list .form-check-input {
    position: absolute;
    right: 15px;
}

.payment-container-list .form-check-input[type=radio]:checked+.form-check-label {
    background-color: var(--primary-color-opacity-low);
}

.rtl .payment-container-list .form-check-label .content-area {
    padding-right: 0;
    padding-left: 30px;
}

.rtl .payment-container-list .form-check-input {
    left: 15px;
    right: auto;
}

span.select2.select2-container.select2-container--default {
    width: 100% !important;
    border: 1px solid #E4E4E4 !important;
    padding: 15px !important;

}

.customBorder1 {
    border: 1px solid #f9f9f9 !important;
}

.accordion-button:not(.collapsed) {
    background-color: transparent !important;
}

.accordion-button:focus {
    outline: none !important;
    box-shadow: 0 0 0 0.25rem rgb(255 255 255 / 25%);
}

.accordion-button:not(.collapsed) {
    color: var(--secondary-color);
}

.keyValue {
    padding: 0 5px;
    color: var(--white-color);
    background: var(--bs-gray) !important;
}

.listingMap {
    height: 660px;
}

.searchDiv {
    position: relative;
}

.navImg {
    position: relative;
}

.navImg ul {
    position: absolute;
    right: 0;
    top: 100%;
    padding: 0 20px;
    width: max-content;
    min-width: 210px;
    z-index: 100;
    /*display: none;*/
    opacity: 0;
    visibility: hidden;
    background-color: #2B313E;
    -ms-transform: translateY(30px);
    transform: translateY(30px);
    transition: .5s;
    -webkit-box-shadow: 2px 2px 5px 1px rgba(0, 0, 0, 0.05), -2px 0px 5px 1px rgba(0, 0, 0, 0.05);
    -ms-box-shadow: 2px 2px 5px 1px rgba(0, 0, 0, 0.05), -2px 0px 5px 1px rgba(0, 0, 0, 0.05);
    -o-box-shadow: 2px 2px 5px 1px rgba(0, 0, 0, 0.05), -2px 0px 5px 1px rgba(0, 0, 0, 0.05);
    box-shadow: 2px 2px 5px 1px rgba(0, 0, 0, 0.05), -2px 0px 5px 1px rgba(0, 0, 0, 0.05);
    border-top: 3px solid var(--praimary-color);
}

.rtl .navImg ul {
    right: -165px;
}

.navImg:hover ul {
    opacity: 1;
    visibility: visible;
}

.navImg ul li {
    width: 100%;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.navImg ul li a {
    position: relative;
    display: inline-flex;
    gap: 10px;
    padding: 8.5px 0;
    line-height: 24px;
    text-align: left;
    transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -webkit-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    font-size: 17px;
    color: var(--white-color);
    font-weight: 500;
}

.navImg ul li a:hover {
    color: var(--secondary-color);
}

.detailsMap {
    height: 350px;
}

.textarea {
    height: 100px;
}

.modal-backdrop {
    z-index: 1 !important;
}

.author-section {
    padding: 100px 0;
}

@media (max-width: 767px) {
    .author-section {
        text-align: center;
    }

    .author-box-top {
        flex-direction: column;
    }

    .author-box-top .thumbs-area img {
        width: 150px;
        height: 150px;
        min-width: 150px;
    }
}

@media (max-width: 575px) {
    .author-box-top .content-area {
        display: flex;
        flex-direction: column;
    }
}


.author-box2 {
    position: relative;
    background-color: var(--white-color);
    padding: 30px;
    border-radius: 15px;
    box-shadow: var(--shadow1);
    border: 1px solid var(--border1);
    z-index: 0;
    overflow: hidden;
}

.author-box2 .author-box-top .content-area {
    align-items: initial;
}

/* Tablet Layout: 768px. */
@media only screen and (min-width: 768px) and (max-width: 991px) {
    .author-box2 .author-box-top .content-area {
        flex-direction: column;
    }

    .author-box2 .contact-item-list .content-area p {
        font-size: 13px;
    }

}

/* Mobile Layout: 320px. */
@media only screen and (max-width: 767px) {
    .author-box2 {
        padding: 15px;
    }

    .author-box2 .counts {
        display: none !important;
    }

    .social-box {
        justify-content: center;
        margin-top: 15px;
        margin-bottom: 30px;
    }

    .author-box-top .cmn-btn3 {
        margin-top: 0 !important;
        padding: 5px 12px !important;
    }

    .author-box-top .cmn-btn4 {
        border: 1px solid var(--border1);
        padding: 5px 12px !important;
    }

    .contact_email {
        gap: 10px !important;
    }

    .contact-item-list-inner {
        flex-direction: column;
        align-items: flex-start;
    }

    .contact-item-list .contact-item-list-inner .item {
        align-items: flex-start;
    }

    .contact-item-list .contact-item-list-inner .item .content-area {
        text-align: left !important;
    }
}

.contact-item-border {
    border: 1px solid var(--border1);
    padding: 25px 25px 10px;
    border-radius: 10px;
}

.author-box2 .counts {
    display: flex;
    justify-content: space-between;
    text-align: center;
    flex-wrap: wrap;
    gap: 30px;
}

.author-box2 .counts .count span {
    display: block;
    color: #666;
    font-weight: 500;
}

.author-box-top {
    display: flex;
    gap: 40px;
}

.author-box-top .thumbs-area img {
    width: 250px;
    height: 250px;
    min-width: 250px;
    border-radius: 15px;
    background-color: var(--white-color);
    padding: 5px;
    box-shadow: var(--shadow2);
    -o-object-fit: cover;
    object-fit: cover;
}

@media (max-width: 767px) {
    .author-section {
        text-align: center;
    }

    .author-box-top {
        flex-direction: column;
    }

    .author-box-top .thumbs-area img {
        width: 150px;
        height: 150px;
        min-width: 150px;
    }
}

@media (max-width: 575px) {
    .author-box-top .content-area {
        display: flex;
        flex-direction: column;
    }
}

.author-box2 .author-box-top .content-area {
    align-items: initial;
}


.social-box {
    display: flex;
    gap: 15px;
}

.social-box li a {
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--white-color);
    color: var(--praimary-color);
    box-shadow: var(--shadow1);
    border-radius: 5px;
}

.social-box li a:hover {
    background-color: var(--praimary-color);
    color: var(--white-color);
}


.cmn-btn3 {
    margin-top: 15px;
    background: var(--white-color);
    padding: 10px 20px;
    border-radius: 5px;
    border: 1px solid var(--border1);
    transition: var(--transition);
    font-size: 16px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-transform: capitalize;
    gap: 5px;
    font-weight: 600;
}

.cmn-btn3:hover {
    color: var(--praimary-color);
    box-shadow: var(--shadow2);
    border: 1px solid var(--border1);
}


.author-section .contact-item-list {
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.author-section .contact-item-list .item {
    display: flex;
    align-items: center;
    gap: 15px;
}

.author-section .contact-item-list .item .icon-area {
    border-radius: 5px;
    width: 40px;
    height: 40px;
    font-size: 18px;
    color: var(--secondary-color);
    background-color: var(--white-color);
    box-shadow: var(--shadow1);
    display: flex;
    align-items: center;
    justify-content: center;
}


.followers {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.followers .follower {
    position: relative;
}

.followers .follower .profile-img-link {
    display: flex;
    width: 50px;
    height: 50px;
    border-radius: 50%;
}

.followers .follower:hover .creator {
    opacity: 1;
    visibility: visible;
    bottom: calc(100% + 10px);
}

.followers .follower img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
}

.followers .follower .creator {
    position: absolute;
    text-align: center;
    width: 200px;
    background-color: var(--white-color);
    padding: 10px;
    border: 1px solid var(--border1);
    box-shadow: var(--shadow1);
    border-radius: 10px;
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
    visibility: hidden;
    transition: var(--transition);
}

.followers .follower .creator .cover {
    width: 100%;
    height: 80px;
    border-radius: 8px;
}

.followers .follower .creator .profile-img {
    width: 65px;
    height: 65px;
    margin-top: -35px;
}

.iti {
    width: 100% !important;
}

.offcanvas {
    z-index: 10000;
}

.cmn-btn4.share #shareBlock {
    opacity: 0;
    visibility: hidden;
    transition: var(--transition);
    position: absolute;
    flex-wrap: wrap;
    justify-content: space-around;
    width: 230px;
    background-color: var(--white-color);
    padding: 10px;
    margin: 5px;
    border: 1px solid var(--border1);
    box-shadow: var(--shadow1);
    border-radius: 5px;
    z-index: 1;

}

.cmn-btn4.share #shareBlock .btn-light {
    font-size: 10px;
    width: 40px;
    height: 40px;
    margin: 2px;
}

.cmn-btn4.share:hover #shareBlock {
    opacity: 1;
    visibility: visible;
}


#shareBlock {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

#shareBlock .btn-light {
    width: 45px;
    height: 45px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 12px;
    background-color: transparent;
    border-color: var(--border1);
    box-shadow: var(--shadow1);
}

#shareBlock .btn-light:hover {
    box-shadow: var(--shadow2);
}

.cmnBorder {
    border: 1px solid #f9f9f9 !important;
}


.payment-section-div {
    padding: 80px 0 80px;
}

.payment-section-div .payment-box {
    background-color: #ffffff;
    padding: 20px;
    border-radius: 10px;
    border: 1px solid rgba(34, 34, 34, 0.10);
    display: flex;
    align-items: center;
    gap: 25px;
    box-shadow: 0 .375rem .75rem rgba(140, 152, 164, .075);

}

.payment-section-div .payment-box .img-box {
    width: 150px;
    min-width: 150px;
    height: 150px;
    border: 1px solid rgba(34, 34, 34, 0.10);
    border-radius: 0.375rem;
}

.payment-section-div .payment-box .img-box img {
    width: 100%;
    height: 100%;
}

.payment-section-div .payment-box .text-box {
    flex-grow: 1;
}

@media (max-width: 575px) {
    .payment-section-div .payment-box {
        flex-direction: column;
        text-align: center;
    }
}

.payment-section-div .form-control {
    border: 1px solid rgba(231, 234, 243, .7);
}

.payment-section-div .form-control:focus {
    box-shadow: 0 0 1rem 0 rgba(140, 152, 164, 0.25);
}

.payment-section-div .card-number-wrapper,
.payment-section-div .expiry-wrapper,
.payment-section-div .name-wrapper,
.payment-section-div .cvc-wrapper {
    display: flex;
    align-items: center;
    padding-bottom: 8px;
}

.payment-section-div .expiry-wrapper div {
    flex-grow: 1;
}

.payment-section-div .expiry-wrapper .icon {
    flex-grow: 0;
}

.payment-section-div .expiry-wrapper .expiry {
    border: 1px solid rgba(231, 234, 243, .7);
    padding: .375rem .75rem;
    width: 100%;
}

.payment-section-div .card-js .icon {
    padding-left: 5px;
}


/*pwa*/

.pwa-popup {
    width: 500px;
    background-color: #1e1e1e;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    padding: 20px;
    box-sizing: border-box;
}

/* Header */
.pwa-popup .header {
    display: flex;
    align-items: start;
    justify-content: space-between;
    border-bottom: 1px solid var(--border-color2);
    padding-bottom: 10px;
    background-color: transparent !important;
}

.pwa-popup .pwa-logo {
    max-width: 60px;
    max-height: 48px;
    border-radius: 6px;
    margin-right: 10px;
    padding: 7px;
    background: var(--bg-1);
}

.pwa-popup .header-text h2 {
    margin: 0;
    font-size: 18px;
    color: #fff !important;
}

.pwa-popup .header-text p {
    margin: 0;
    color: #fff !important;
    font-size: 14px;
}

.pwa-popup .close-btn {
    background: none;
    border: none;
    font-size: 20px;
    cursor: pointer;
    color: #fff !important;
}

/* Description */
.pwa-popup .description {
    font-size: 14px;
    color: #fff !important;
    margin: 10px 0;
}

.pwa-popup .sub-description {
    font-size: 14px;
    color: #fff !important;
    margin-bottom: 20px;
}

/* Carousel */
.pwa-popup .carousel-container {
    height: 0;
    overflow: hidden;
    opacity: 0;
    transition: height 0.5s ease, opacity 0.5s ease;
    background: var(--bs-border-color-translucent);
    margin-bottom: 15px;
    border-radius: 10px;
}

.pwa-popup .carousel-container.active {
    opacity: 1;
}

.pwa-popup .carousel {
    display: flex;
    align-items: center;
    position: relative;
    overflow: hidden;
}

.pwa-popup .carousel-content {
    display: flex;
    transition: transform 0.5s ease;
    width: 100%;
}

.pwa-popup .carousel-content img {
    width: 100%;
    border-radius: 10px;
    flex-shrink: 0;
    max-height: min(45vh, 500px);
    box-shadow: rgba(0, 0, 0, 0.15) 0px 3px 10px 0px;
    scroll-snap-align: center;
    scroll-snap-stop: always;
    position: relative;
    object-fit: contain;
    background: var(--body-color);
}

.pwa-popup .carousel-btn {
    background-color: var(--border-color2);
    border: none;
    color: #fff !important;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    box-shadow: var(--shadow2);
}

.pwa-popup .carousel-btn:hover {
    transform: translateY(-50%) scale(1.1);
}

.pwa-popup .carousel-btn.left {
    left: 10px;
}

.pwa-popup .carousel-btn.right {
    right: 10px;
}

.pwa-popup .carousel-btn svg {
    width: 20px;
    height: 20px;
}

/* Actions */
.pwa-popup .actions {
    display: flex;
    justify-content: space-between;
}

.pwa-popup .action-btn {
    padding: 8px 50px;
    font-size: 14px;
    font-weight: bold;
    font-family: sans-serif;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    display: inline-block;
    text-transform: uppercase;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16);
    background-color: #a7c7fa;
    transition: transform 0.2s ease;
}

.pwa-popup .action-btn.less {

    background-color: rgba(0, 0, 0, 0);
    color: #a7c7fa;
}

.pwa-popup .action-btn.less:hover {
    color: #a7c7fa;
    background-color: rgba(167, 199, 250, 0.1);
}

.pwa-popup .action-btn.less:hover {
    transform: translateY(-2px);
}

.pwa-popup .action-btn.install {
    background-color: #a7c7fa;
    color: #1B222C;
    box-shadow: 0 4px 6px rgba(0, 123, 255, 0.3);
    font-size: 14px;
    font-weight: 500;
}

.pwa-popup .action-btn.install:hover {
    transform: translateY(-2px);
    background-color: #a7c7fa;
}

#pwaInstallPopup {
    display: none;
    margin: auto;
    position: fixed;
    top: 2%;
    left: 50%;
    transform: translateX(-50%);
    z-index: 9999;
    -webkit-animation-name: modalanimatestop;
    -webkit-animation-duration: 0.4s;
    animation-name: modalanimatestop;
    animation-duration: 0.8s;
}

@media (max-width: 575px) {
    #pwaInstallPopup {
        top: auto;
        bottom: 1% !important;
        width: 95%;
        z-index: 9999;
        -webkit-animation-name: animatebottom;
        -webkit-animation-duration: 0.4s;
        animation-name: animatebottom;
        animation-duration: 0.8s;
    }
}

@media (max-width: 360px) {
    .pwa-popup .action-btn {
        padding: 8px 35px;
    }
}

@-webkit-keyframes modalanimatestop {
    from {
        top: -300px;
        opacity: 0
    }

    to {
        top: 5%;
        opacity: 1
    }
}

@keyframes modalanimatestop {
    from {
        top: -300px;
        opacity: 0
    }

    to {
        top: 5%;
        opacity: 1
    }
}

@keyframes animatebottom {
    from {
        bottom: -300px;
        opacity: 0
    }

    to {
        bottom: 1%;
        opacity: 1
    }
}




/*rtl*/
.rtl .add-content {
    padding-right: 30px;
}

.customTitle {
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    line-clamp: 1;
    -webkit-line-clamp: 1;
}


.profileSocialIcon {
    color: #666 !important;
}

.profileSocialIcon:hover {
    color: #fff !important;
    background-color: var(--secondary-color) !important;
}

.stickyDiv {
    position: sticky;
    top: 100px;
}


.order-summery-single {
    padding: 5px 0;
    display: flex;
    justify-content: space-between;
}

.order-summery-single-left {
    display: flex;
    align-items: center;
    gap: 8px;
}

.order-summery-single-right del {
    display: block;
}

.order-summery-single .product-thumb {
    max-width: 95px;
    width: 100%;
    border-radius: 8px;
    background: #F5F5F5;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
}

.order-summery-single .prod-title h6 {
    font-size: 16px;
    line-height: 22px;
    color: var(--body-font);
    font-weight: 500;
}

.order-summery-single .prod-title p {
    font-size: 15px;
    line-height: 20px;
    color: var(--black-color);
    font-weight: 400;
    margin-bottom: 0px;
}

.order-summery-single .prod-title p span {
    font-weight: 500;
}

.order-summery-single .column-box {
    max-width: 400px;
    width: 100%;
    display: flex;
    align-items: center;
    gap: 16px;
}

.order-summery-single-right h5 {
    font-size: 20px;
    margin-right: 10px;
}

.emptyCart {
    text-align: center;
}

.emptyCart i {
    font-size: 60px;
}

.business-profile-box {
    display: flex;
    gap: 20px;
    align-items: center;
    border-bottom: 1px solid #f1f1f1;
    padding-bottom: 20px;
}

.business-profile-box .storeImage {
    height: 100px;
    width: 100px;
}

.business-profile-box .storeImage img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}
